Vai al contenuto
  • Annunci

    • D@ve

      Visita la nuova Home Page di Treddi.com   19/02/2018

      E' finalmente on-line la nuova home page di Treddi.com. Da oggi tutti i contenuti del portale saranno facilmente accessibili e visibili direttamente dall'home page dove avrete la possibilità di dare i vostri like a contenuti, immagini e progetti. Ogni giorno potrete trovare nuovi contenuti e news relative al mondo della computer grafica e seguire le numerose attività del portale.  Fate il login e fateci avere i vostri feedback!  https://www.treddi.com/
SAPM

entità invisibili?

Recommended Posts

ciao! utilizzo autocad 2010 e sto lavorando su dei file che mi sono stati passati e sono pieni di errori.

l'errore che a distanza di mesi non sono ancora riuscita a risolvere è il seguente:

nello spazio modello ci sono come delle entità invisibili che coprono i miei disegni, soprattutto in fase di stampa sono molto visibili, mentre al pc si vedono nel layout, ma non li riesco ad individuare e a cancellarli.

Mi potreste aiutare?

Potrebbero essere delle entità coprenti? se si come faccio a vederle e cancellarle per sempre!?

grazie a chiunque vorrà aiutarmi!

Buon Lavoro :wallbash:

Condividi questo messaggio


Link al messaggio
Condividi su altri siti
Inviata (modificato)

e poi arri?

quando sono selezionate puoi vedere dove si trovano (vengono evidenziate) e cancellarle


Modificato da arri

Condividi questo messaggio


Link al messaggio
Condividi su altri siti

non riesco a selezionarle, non si selezionano, sono solo lì e coprono delle cose, sembrano residui di una vecchia squadratura....

Condividi questo messaggio


Link al messaggio
Condividi su altri siti
Inviata (modificato)

non riesco a selezionarle, non si selezionano, sono solo lì e coprono delle cose, sembrano residui di una vecchia squadratura....

se vuoi allega un dwg di esempio (va bene anche con solo le parti invisibili), che vediamo di risolvere subito senza andare per tentativi


Modificato da arri

Condividi questo messaggio


Link al messaggio
Condividi su altri siti

arri io mi scuso ma non so cosa siano e cmq sembra che rendano invisibili cose e non il contrario ( che è il mio problema), se puoi essere unpò più specifico te ne sono grata..

Condividi questo messaggio


Link al messaggio
Condividi su altri siti
Inviata (modificato)

arri io mi scuso ma non so cosa siano

per usare i lisp vedi qui

cmq sembra che rendano invisibili cose e non il contrario ( che è il mio problema), se puoi essere unpò più specifico te ne sono grata..

comprende entrambi i comandi : visible e unvisible

(defun c:unvisible(/ objLst objLst sucCount errCount)

(vl-load-com)

(princ "\n<<< Select object to make unvisible >>> ")

(if

(setq objSet(ssget))

(progn

(setq objLst

(mapcar 'vlax-ename->vla-object

(vl-remove-if 'listp

(mapcar 'cadr(ssnamex objSet))))

sucCount 0

errCount 0); end setq

(foreach obj objLst

(if

(vl-catch-all-error-p

(vl-catch-all-apply

'vla-put-visible

(list obj :vlax-false)))

(setq errCount(1+ errCount))

(setq sucCount(1+ sucCount))

); end if

); end foreach

(princ

(strcat "\n"(itoa sucCount) " becomes unvisible "

(if(/= 0 errCount)

(strcat ", " (itoa errCount) " were on locked layer! ")

""); end if

); end strcat

); end princ

); end progn

); end if

(princ)

); end of c:unvisible

(defun c:visible(/ objLst objLst sucCount errCount)

(vl-load-com)

(setq sucCount 0

errCount 0

objSet(ssget "_X" '((60 . 1)))

); end setq

(if objSet

(progn

(setq objLst

(mapcar 'vlax-ename->vla-object

(vl-remove-if 'listp

(mapcar 'cadr(ssnamex objSet)))))

(foreach obj objLst

(if

(vl-catch-all-error-p

(vl-catch-all-apply

'vla-put-visible

(list obj :vlax-true)))

(setq errCount(1+ errCount))

(setq sucCount(1+ sucCount))

); end if

); end foreach

(princ

(strcat "\n"(itoa sucCount) " becomes visible "

(if(/= 0 errCount)

(strcat ", " (itoa errCount) " were on locked layer! ")

""); end if

); end strcat

); end princ

); end progn

(princ "\n<<< Unvisible objects not found >>> ")

); end if

(princ)

); end of c:visible


Modificato da arri

Condividi questo messaggio


Link al messaggio
Condividi su altri siti
Inviata (modificato)

dove copio ed incollo questa serie di comandi? nella barra comandi?

P.S.

prego :)


Modificato da arri

Condividi questo messaggio


Link al messaggio
Condividi su altri siti

Crea un account o accedi per commentare

Devi essere un utente per poter lasciare un commento

Crea un account

Registrati per un nuovo account nella nostra comunità. è facile!

Registra un nuovo account

Accedi

Hai già un account? Accedi qui.

Accedi ora


  • Navigazione recente   0 utenti

    Non ci sono utenti registrati da visualizzare in questa pagina.

×